html, body {
    min-width: 1100px;
    height: 100%;
    margin: 0px;
    /*    margin: 0px;
    height: 100%;
    overflow-y: hidden;
*/
}

* {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: small;
}
@media only screen and (max-width:1536) {
    body {
        margin: auto;
        text-align: center !important;
        position: relative;
        max-width: 1536px;
    }
}

/*@media only screen and (max-width:1100) {
    body {
        margin: auto;
        text-align: center !important;
        position: relative;
        max-width: 1100px;
    }
}
@media only screen and (max-width:1230) {
    body {
        margin: auto;
        text-align: center !important;
        position: relative;
        max-width: 1230px;
    }
}*/

.markCriteria, .markNumber {
    background-color: transparent !important;
    color: #ff7f50 !important;
    font-weight: 800 !important;
    font-size: small !important;
}

/* wie .foundViaValueArtPos */
.markArtName {
    background-color: transparent !important;
    /*color: #ff7f50 !important;*/
    color: chocolate !important;
    font-weight: 800 !important;
    font-size: small !important;
}

.cursorNotAllowed {
    cursor: not-allowed !important;
}

#BtnNewArticles {
    padding-left: 7px;
    border-block-style: double !important;
    border-width: 2px !important;
    height: 34px !important;
    width: 126px !important;
    justify-content: left;
}

#BtnImportArticles {
    border-color: lightgray !important;
    padding-left: 7px;
    border-block-style: double !important;
    border-width: 2px !important;
    height: 38px !important;
    width: 164px !important;
    width: auto !important;
    justify-content: left;
}

#vergleichsNr:hover {
    cursor: pointer;
}

/*for signin & footer*/
.abstand {
    margin-right: 10px;
}

.availabilityMessage {
    /*color: chocolate !important;*/
    margin-left: 4px;
}
.foundViaValueArtPos {
    color: chocolate !important;
    font-weight: 700;
    font-size: small;
    margin-left: 4px;
}

.articleCatNameArtPos {
    margin-left: 5px;
    font-weight: normal;
    width: auto;
    max-width: 306px;
    white-space: nowrap;
    overflow-x: hidden;
    text-overflow: ellipsis;
    display: inline-block;
    float: left;
}

#divChkBoxBackOrderArticles > label,
#divBestPriceUploadOrderArticles > label {
    color: white !important;
}

/*UpperFilter*/
.iconRight > .k-icon {
    /*set icon for selection history to right*/
    float: right;
    /*padding-top: 10px;*/
}
.cbStyleHeight {
    line-height: 1.0;
    font-weight: 700;
}
.upperFilterComboBox {
    line-height: 1.0;
    font-weight: 700;
    width: 100%;
    /*height: 75%;*/
    margin-bottom: 3px;
}

    /* disable show/hide in ie */
    ::-ms-reveal {
        display: none;
    }

    .k-pager-wrap .k-pager-info {
        color: black;
        font-weight: bold;
    }

    /*höhe verringern*/
    .k-window-titlebar {
        padding-top: 2px;
        padding-right: 1px;
        padding-bottom: 2px;
        padding-left: 5px;
    }
    /*close botton */
    div .k-window-titlebar.k-header > div > a {
        background-color: transparent;
        color: white;
        border-width: 0px;
    }

    /*show/hide password input*/
    .input-icon-wrap {
        border: 1px solid #ddd;
        display: flex;
        flex-direction: row;
    }

    .input-icon {
        background: #ddd;
    }

    .input-with-icon {
        border: none;
        flex: 1;
    }

    .k-grid .k-state-selected {
        background-color: lightgray !important;
        color: black !important;
        font-weight: bold !important;
    }

    .k-grid .k-alt.k-state-selected {
        background-color: lightgray !important;
        color: black !important;
        font-weight: bold !important;
    }

    .k-pager-info {
        color: black;
    }

    .k-tooltip {
        color: black !important;
        background-color: white !important;
        border-width: 1px;
    }

.k-loading, .k-loading-image {
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center center
}

.k-icon.k-i-loading {
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center center
}

.k-icon.k-i-loading::before {
    content: "";
    display: none
}

.k-loading-image, .k-loading-mask, .k-loading-text {
    position: absolute
}

.k-loading-mask {
    z-index: 100
}

.k-loading-mask.k-opaque .k-loading-color {
    opacity: 1
}

    .k-loading-mask .k-loading-progress {
        margin: auto;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0
    }

.k-loading-text {
    text-indent: -4000px;
    text-align: center
}

.k-loading-image {
    /*    top: 0;
    left: 0;*/
    width: 25%;
    height: 25%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2
}

.k-loading-color {
    width: 100%;
    height: 100%;
    opacity: .3;
    background-color: #fff;
}

.k-i-loading {
    background-size: 70px;
    background-image: url(../images/360imagerotate/loading.gif)
}

.k-loading-image {
    background-size: 70px;
    background-image: url(../images/360imagerotate/loading.gif)
}

@-webkit-keyframes loading {
    0% {
        stroke-dasharray: 0 251;
        stroke-dashoffset: 502;
    }

    50% {
        stroke-dasharray: 250 1;
    }

    100% {
        stroke-dasharray: 0 251;
        stroke-dashoffset: 0;
    }
}

@keyframes loading {
    0% {
        stroke-dasharray: 0 251;
        stroke-dashoffset: 502;
    }

    50% {
        stroke-dasharray: 250 1;
    }

    100% {
        stroke-dasharray: 0 251;
        stroke-dashoffset: 0;
    }
}

.ArticlePositions .k-loading-mask {
    z-index: 100;
    display: none;
}

.AdditionalActionButtons .k-loading-mask {
    display: none;
    overflow: hidden !important;
}

.CompareNumbers .k-loading-mask {
    display: none;
}

.Infos .k-loading-mask {
    display: none;
}

#listView .k-loading-mask {
    display: none;
}

#CatalogDescription .k-loading-mask {
    display: none;
}

/*    #UploadShoppingCartPosition .k-loading-mask {
        display: none;
    }*/


/*Grid filter*/
.k-filter-row .k-filtercell .k-widget {
    border-color: darkgray;
}

    .k-filter-row .k-filtercell .k-operator-hidden {
        width: 100% !important;
        padding-right: 0px
    }

    .availabilityBtnColorListimport {
        min-width: 15px !important;
        width: 15px !important;
        height: 15px !important;
        background-color: green;
        color: black !important;
        padding-right: 0 !important;
        margin: 0 !important;
        margin-left: 10px;
        text-align: center !important;
        border-width: 0;
    }

    .availabilityBtnColorShoppingCart {
        min-width: 15px !important;
        width: 15px !important;
        height: 15px !important;
        background-color: green;
        color: black !important;
        padding-right: 0 !important;
        margin: 0 !important;
        margin-left: 10px;
        text-align: center !important;
        border-width: 0;
    }

    .availabilityBtnColorWishList {
        min-width: 15px !important;
        width: 15px !important;
        height: 15px !important;
        background-color: green;
        color: black !important;
        padding-right: 0 !important;
        margin: 0 !important;
        margin-left: 10px;
        text-align: center !important;
        border-width: 0;
    }

        .availabilityBtnColorWishList:hover {
            background-color: green;
        }

    .availabilityBtnColorWishListItem {
        min-width: 25px !important;
        width: 45px !important;
        height: 25px !important;
        background-color: green;
        color: black !important;
        padding-right: 0 !important;
        margin: 0 !important;
        margin-left: 10px;
        text-align: center !important;
        border-width: 0;
    }

    .availabilityBtnColor {
        min-width: 35px !important;
        width: 35px !important;
        color: black !important;
        padding-right: 0 !important;
        padding-top: 5px;
        border-width: 0;
    }

        .availabilityBtnColor:hover {
            background-color: green;
        }

    .wishListBtn {
        min-width: 30px !important;
        width: 30px !important;
        color: black !important;
        padding-right: 0 !important;
        padding-top: 5px;
    }

    .ArticlePositions .k-grid td {
        padding: 0;
    }

    .ArticlePositions a {
        color: black !important;
    }

    .orderGrid .k-grid td .availabilityBtnColorShoppingCart {
        padding: 0;
        text-align: center;
    }

    .k-grid .k-grid-header .k-header .k-link {
        padding: 0;
        height: 20px !important;
        padding-right: 5px;
        padding-left: 0;
    }

    .k-grid td {
        padding: 0 5px 0 5px !important;
    }

    .k-grid tbody tr:hover {
        background-color: #cde7fb !important;
        cursor: pointer !important;
    }

    #CatalogDescription tr {
        cursor: pointer !important;
    }

    .k-i-globe-outline {
        color: white !important;
    }

    .k-i-user {
        color: white !important;
    }

    #BtnImportArticles .k-i-upload {
        color: darkorange !important;
    }

    .k-i-information {
        color: white !important;
    }

    .k-i-paste-plain-text {
        color: white !important;
    }

    .k-i-file-add {
        color: darkorange !important;
    }

    .k-i-file-csv .k-i-csv {
        color: darkorange !important;
    }

    .k-i-file-csv {
        color: darkorange !important;
    }

    .k-i-csv {
        color: darkorange !important;
    }

    .k-i-file-pdf {
        color: darkorange !important;
    }

    .k-i-file-excel {
        color: darkorange !important;
    }

    #BtnShoppingCartIcon .k-i-shopping-cart {
        color: white !important;
    }

    #BtnShoppingCart .k-i-shopping-cart {
        color: white !important;
    }

.k-icon-20 {
    font-size: 20px !important; /* Sets icon size to 32px */
}

    .k-icon-24 {
        font-size: 24px !important; /* Sets icon size to 32px */
    }

.k-icon-32 {
    font-size: 32px !important; /* Sets icon size to 32px */
}

.k-icon-48 {
    font-size: 48px !important; /* Sets icon size to 48px */
}

.k-icon-64 {
    font-size: 64px !important; /* Sets icon size to 64px */
}

.hoverDeleteGrayBtn:hover {
    background-color: dimgrey !important;
    color: black !important;
}
.hoverDeleteRedBtn:hover {
    background-color: darkred !important;
    color: white !important;
}
    /* mainresults */
    #divShowPricesForCustomer {
        float: right;
        visibility: hidden;
    }
    #LabelShowPricesForCustomer {
        top: 4px;
        position: relative;
        display: inline-block;
        color: black;
        font-size: medium;
        /*margin-left: 32px;*/
    }

#divExpandArticlePositons {
    float: right;
    /*visibility: hidden;*/
}
#LabelExpandArticlePositons {
    top: 4px;
    position: relative;
    display: inline-block;
    color: black;
    font-size: medium;
    /*margin-left: 32px;*/
}


.switch {
    position: relative;
    display: inline-block;
    width: 28px;
    height: 17px;
    top: 12px;
}

    .switch input {
        display: none;
    }

    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #cd000d; /*unchecked*/
        -webkit-transition: .4s;
        transition: .4s;
    }

        .slider:before {
            position: absolute;
            content: "";
            height: 10px;
            width: 10px;
            left: 4px;
            bottom: 4px;
            background-color: white;
            -webkit-transition: .4s;
            transition: .4s;
        }

    #ShowPricesForCustomer input:checked + .slider {
        background-color: darkgray; /*checked*/
    }
    #ShowPricesForCustomer input:focus + .slider {
        box-shadow: 0 0 1px darkgray;
    }
    #ShowPricesForCustomer input:checked + .slider:before {
        -webkit-transform: translateX(10px);
        -ms-transform: translateX(10px);
        transform: translateX(10px);
    }

#ExpandArticlePositons input:checked + .slider {
    background-color: darkgray; /*checked*/
}
#ExpandArticlePositons input:focus + .slider {
    box-shadow: 0 0 1px darkgray;
}
#ExpandArticlePositons input:checked + .slider:before {
    -webkit-transform: translateX(10px);
    -ms-transform: translateX(10px);
    transform: translateX(10px);
}

    /* Rounded sliders */
    .slider.round {
        border-radius: 34px;
    }

    .slider.round:before {
        border-radius: 50%;
    }


.fixGridHeaderIfSortableLeft {
    padding-left: 11px !important;
    padding-right: 0px !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}
.fixGridHeaderIfSortableRight {
    padding-left: 0px !important;
    padding-right: 25px !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

#inputFilterCatalogDescription {
    height: 33px;
}

/* header.cshtml */
#BtnImportArticles > span {
    word-wrap: break-word;
    /*white-space: initial;*/
    line-height: 1;
    font-size:large;
}

#divUploadOrderArticles > ul > li:nth-child(1) > div > div > div > div > span {
    word-wrap: break-word;
    white-space: initial;
    line-height: 1;
}